Summary:	High productivity build system
Summary(pl.UTF-8):	System budowania o dużej produktywności
Name:		meson
Version:	0.48.0
Release:	2
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/mesonbuild/meson/releases/
Source0:	https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e92273538c6b8371e68d736287a5d991
Patch0:		%{name}-gtkdocdir.patch
Patch1:		%{name}-gtkdoc-quote.patch
URL:		http://mesonbuild.com/
BuildRequires:	ninja >= 1.5
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python3-devel-tools >= 1:3.5
Requires:	python3-libs >= 1:3.5
Requires:	python3-modules >= 1:3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%description -l pl.UTF-8
Meson to system budowania zaprojektowany z myślą o optymalizacji
produktywności programisty. Celem jest dostarczenie prostej, od razu
działającej obsługi nowoczesnych narzędzi i praktyk programistycznych,
takich jak testy jednostkowe, raporty pokrycia, Valgrind, CCache itp.

%package polkit
Summary:	PolKit integration - handle projects installation via Meson
Summary(pl.UTF-8):	Integracja z PolKitem - obsługa instalowania projektów przy użyciu Mesona
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	polkit

%description polkit
PolKit integration - handle projects installation via Meson.

%description polkit -l pl.UTF-8
Integracja z PolKitem - obsługa instalowania projektów przy użyciu
Mesona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' \
	meson.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/meson
%{_mandir}/man1/meson.1*
%{py3_sitescriptdir}/meson-%{version}-py*.egg-info
%{py3_sitescriptdir}/mesonbuild

%files polkit
%defattr(644,root,root,755)
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy
%changelog
* Thu Oct 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meson.git;a=log;h=master

* Tue Oct 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 0b40eaa
- added gtkdoc-quote patch; release 2

* Sun Sep 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 894a70d
- updated to 0.48.0

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 4f4151f
- updated to 0.47.2

* Thu Jul 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 1865331
- updated to 0.47.1
- added -polkit subpackage

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 527432f
- release 6 (by relup.sh)

* Tue Jun 19 2018 Marcin Banasiak <marcin.banasiak@gmail.com> cba0c75
- Fix gtkdocdir path in gnome module as well. Release 5

* Tue Jun 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> caf3fd1
- rel 4; R: python3-devel-tools

* Tue Jun 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b081d00
- rel 3; R: python3-modules

* Tue Jun 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 11f6c85
- rel 2; R python3-libs

* Thu May 17 2018 Jan Palus <atler@pld-linux.org> 901737e
- up to 0.46.1

* Thu Apr 26 2018 Jan Palus <atler@pld-linux.org> a01a09d
- up to 0.46.0

* Thu Mar 22 2018 Jan Palus <atler@pld-linux.org> bbaf685
- up to 0.45.1

* Sun Mar 18 2018 Jan Palus <atler@pld-linux.org> c014913
- up to 0.45.0

* Mon Dec 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 02c20c1
- up to 0.44.0

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 943814e
- up to 0.43.0

* Tue Sep 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7e08889
- Update to 0.42.1

* Sat Jun 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 5c8fd48
- pl
- require python3 instead of /usr/bin/env

* Wed May 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cb3591
- up to 0.40.1

* Fri Apr 21 2017 Elan Ruusamäe <glen@delfi.ee> 3363984
- version macro; build deps

* Sun Apr 16 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d8c9af2
- Initial release

